WHO(1)

NAZWA
who - pokaż, kto jest zalogowany

SKŁADNIA

who [-imqsuwHT] [--count] [--idle] [--heading]
    [--message] [--mesg] [--writable] [--help]
    [--version] [am i] [plik]

OPIS
Ta strona podręcznika opisuje polecenie who w wersji GNU.

Bez argumentów, who wypisuje następujące informacje o wszystkich zalogowanych użytkownikach:
    nazwa zgłoszeniowa
    linia terminala
    czas logowania
    zdalny host, lub X display
Jeśli podano jeden nieopcyjny argument, who używa go zamiast /etc/utmp, jako nazwy pliku, zawierającego zapis zalogowanych użytkowników. Często używany jest tu /etc/wtmp, aby dowiedzieć się, kto był zalogowany uprzednio.

Jeśli podano dwa argumenty, które nie są opcjami, who wypisuje tylko pozycję dla użytkownika, który go uruchomił (określaną na podstawie standardowego wejścia), poprzedzony nazwą hosta. Tradycyjnie podawane dwa argumenty to `am i', czyli `who am i'.

OPCJE

-m  To samo, co `who am i'.

-q, --count
    Wypisuje tylko nazwy zgłoszeniowe oraz liczbę zalogowanych użytkowników. Przesłania pozostałe opcje.

-s  Ignorowane; dla kompatybilności z innymi wersjami who.

-i, -u, --idle
    Zaraz za nazwą zgłoszeniową wypisuje liczbę godzin i minut, podczas których użytkownik nic nie robił (idle). `.' oznacza, że użytkownik był aktywny w ostatniej minucie. `old' oznacza, że był nieaktywny przez ponad 24 godziny.

-l, --lookup
    Przeglądając DNS usiłuje doprowadzić do postaci kanonicznej nazwy hostów znalezione w utmp. Nie jest to zachowanie domyślne, gdyż może powodować znaczące opóźnienia na systemach z automatycznym dostępem telefonicznym do internetu.

-H, --heading
    Wypisuje wiersz z nagłówkami kolumn.

-w ,  -T ,  --mesg ,  --message ,  --writable
    Dodatkowo wypisuje po każdej nazwie zgłoszeniowej znak, określający status komunikatów użytkownika:

    +   zezwala na pisanie komunikatów write

    -   nie zezwala na pisanie komunikatów

    ?   nie udało się znaleźć urządzenia terminala

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz.ang., do <bug-sh-utils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
whoami(1), users(1), id(1), write(1), sh-utils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi powłokowych GNU wersji 2.0.